#TODO: BR: perl(Test::CheckManifest) ≥ 1.24 when available

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Software-License-CCpack
Version:	1.11
Release:	7%{?dist}
Summary:	Software::License pack for Creative Commons' licenses
License:	LGPLv3
URL:		http://search.cpan.org/dist/Software-License-CCpack/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BB/BBYRD/Software-License-CCpack-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Software::License)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::CheckDeps) >= 0.010
BuildRequires:	perl(Test::More) >= 0.96
# Extra Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Synopsis)
# Disable using of Test::Vars, because it fails with Perl 5.22.0
# There is not a properly fix for it yet
%if ! 0%(perl -e 'print $] >= 5.022')
BuildRequires:	perl(Test::Vars)
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This "license pack" contains all of the licenses from Creative Commons, except
for CC0, which is already included in Software::License.

Note that I don't recommend using these licenses for your own CPAN modules
(most of the licenses aren't even compatible with CPAN). However, S:L modules
are useful for more than mere CPAN::Meta::license declaration, so these modules
exist for those other purposes.

%prep
%setup -q -n Software-License-CCpack-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))" RELEASE_TESTING=1

%files
%license LICENSE
%doc README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License::CCpack.3*
%{_mandir}/man3/Software::License::CC_BY_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_ND_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_NC_SA_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_4_0.3*
%{_mandir}/man3/Software::License::CC_BY_ND_NC_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_1_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_2_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_3_0.3*
%{_mandir}/man3/Software::License::CC_BY_SA_4_0.3*
%{_mandir}/man3/Software::License::CC_PDM_1_0.3*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-3
- Perl 5.22 rebuild

* Tue Jun 02 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-2
- Disable using of Test::Vars with Perl 5.22

* Mon Oct 20 2014 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Include all versions of licenses, including the new 4.0 ones
  - Downgrade the Perl version to 5.6
  - Fix links in POD
  - Minor clean-up of license files

* Tue Oct  7 2014 Paul Howarth <paul@city-fan.org> - 1.01-3
- Skip the CHANGES file until such time as it has some content (#1148040)

* Tue Sep 30 2014 Paul Howarth <paul@city-fan.org> - 1.01-2
- Sanitize for Fedora submission

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 1.01-1
- Initial RPM version
